Loading...
Searching...
No Matches
casacore::MakeComplexImag< L, R, RES > Struct Template Reference

Functor to form a complex number from the left value and the imaginary part of the right value. More...

`#include <Functors.h>`

## Public Member Functions

RES | operator() (L l, R r) const

## Detailed Description

template<typename L, typename R, typename RES>
struct casacore::MakeComplexImag< L, R, RES >

Functor to form a complex number from the left value and the imaginary part of the right value.

Definition at line 506 of file Functors.h.

## Member Function Documentation

## operator()()

template<typename L, typename R, typename RES>

RES casacore::MakeComplexImag< L, R, RES >::operator() | ( | L | l,
|  | R | r ) const

inline

Definition at line 508 of file Functors.h.

References casacore::imag().

The documentation for this struct was generated from the following file:

- casa/BasicMath/Functors.h